An output message from the model.
The content of the output message.
A text output from the model.
The annotations of the text output.
The status of the message input. One of in_progress, completed, or
incomplete. Populated when input items are returned via API.
Labels an assistant message as intermediate commentary (commentary) or the final answer (final_answer).
For models like gpt-5.3-codex and beyond, when sending follow-up requests, preserve and resend
phase on all assistant messages — dropping it can degrade performance. Not used for user messages.
The results of a file search tool call. See the file search guide for more information.
The status of the file search tool call. One of in_progress,
searching, incomplete or failed,
The results of the file search tool call.
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
A tool call to run a function. See the function calling guide for more information.
The output from the function call generated by your code. Can be a string or an list of output content.
Text, image, or file output of the function call.
An image input to the model. Learn about image inputs.
A file input to the model.
The detail level of the file to be sent to the model. Use auto to let the system select the detail level; for GPT-5.6 and later models, auto uses high-quality rendering, which may increase input token usage. Use low for lower-cost rendering, or high to render the file at higher quality. Defaults to auto.
The status of the item. One of in_progress, completed, or
incomplete. Populated when items are returned via API.
The type of the function tool call output. Always function_call_output.
Encrypted content sent between agents.
A text output from the model.
The annotations of the text output.
An image input to the model. Learn about image inputs.
A screenshot of a computer.
The detail level of the screenshot image to be sent to the model. One of high, low, auto, or original. Defaults to auto.
Specifies the event type. For a computer screenshot, this property is always set to computer_screenshot.
A file input to the model.
The detail level of the file to be sent to the model. Use auto to let the system select the detail level; for GPT-5.6 and later models, auto uses high-quality rendering, which may increase input token usage. Use low for lower-cost rendering, or high to render the file at higher quality. Defaults to auto.
The multi-agent action that produced this result.
Text output returned by the multi-agent action.
The annotations of the text output.
The results of a web search tool call. See the web search guide for more information.
An object describing the specific action taken in this web search call. Includes details on how the model used the web (search, open_page, find_in_page).
A tool call to a computer use tool. See the computer use guide for more information.
The status of the item. One of in_progress, completed, or
incomplete. Populated when items are returned via API.
The status of the message input. One of in_progress, completed, or
incomplete. Populated when input items are returned via API.
The type of the computer tool call output. Always computer_call_output.
The safety checks reported by the API that have been acknowledged by the developer.
A description of the chain of thought used by a reasoning model while generating
a response. Be sure to include these items in your input to the Responses API
for subsequent turns of a conversation if you are manually
managing context.
The encrypted content of the reasoning item. This is populated by default
for reasoning items returned by POST /v1/responses and WebSocket
response.create requests.
When streaming, use the completed reasoning item and its
encrypted_content from the response.output_item.done event in
subsequent requests. The encrypted_content in
response.output_item.added may be incomplete. This is especially
important when store is false or when using Zero Data Retention.
Whether tool search was executed by the server or by the client.
The status of the tool search output item that was recorded.
The loaded tool definitions returned by tool search.
Defines a function in your own code the model can choose to call. Learn more about function calling.
A JSON schema object describing the parameters of the function.
A tool that searches for relevant content from uploaded files. Learn more about the file search tool.
A filter to apply.
A filter used to compare a specified attribute key to a given value using a defined comparison operation.
Combine multiple filters using and or or.
Array of filters to combine. Items can be ComparisonFilter or CompoundFilter.
A filter used to compare a specified attribute key to a given value using a defined comparison operation.
A tool that controls a virtual computer. Learn more about the computer tool.
A tool that controls a virtual computer. Learn more about the computer tool.
Search the Internet for sources related to the prompt. Learn more about the web search tool.
Give the model access to additional tools via remote Model Context Protocol (MCP) servers. Learn more about MCP.
A custom tool that processes input using a specified format. Learn more about custom tools
This tool searches the web for relevant results to use in a response. Learn more about the web search tool.
A compaction item generated by the v1/responses/compact API.
A tool call that executes one or more shell commands in a managed environment.